%define tarname xkeyboard-config
%define xkeyboard_config_ver  0.8
# INFO: Package contains data-only, no binaries, so no debuginfo is needed
%define debug_package %{nil}
Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary: 	xkeyboard-config alternative xkb data files
#Name: xkeyboard-config
#Version: 0.8
#Release: 1
Name: 		xorg-x11-xkbdata
Version: 	1.0.1
# When rebuilding, bump the final digit only
Release: 	1
License: 	MIT
Group: 		User Interface/X
URL: 		http://www.x.org
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Source0: 	http://xlibs.freedesktop.org/xkbdesc/%{tarname}-%{xkeyboard_config_ver}.tar.bz2

BuildArch: 	noarch

BuildRequires: 	pkg-config
BuildRequires: 	xorg-x11-util-macros
BuildRequires: 	xkbcomp
BuildRequires: 	perl(XML::Parser)

Provides: 	xkbdata
Provides: 	xkeyboard-config

%description
xkeyboard-config alternative xkb data files

%prep
%setup -q -n %{tarname}-%{xkeyboard_config_ver}

%build
%configure \
    --enable-compat-rules \
    --with-xkb-base=%{_datadir}/X11/xkb \
    --disable-xkbcomp-symlink \
    --with-xkb-rules-symlink=xorg

make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT
# Remove unnecessary symlink
rm -f $RPM_BUILD_ROOT%{_datadir}/X11/xkb/compiled

# Create filelist
{
   FILESLIST=${PWD}/files.list
   pushd $RPM_BUILD_ROOT
   find ./usr/share/X11 -type d | sed -e "s/^\./%dir /g" > $FILESLIST
   find ./usr/share/X11 -type f | sed -e "s/^\.//g" >> $FILESLIST
   popd
}

%clean
rm -rf $RPM_BUILD_ROOT

%pre
{
  # Upgrade section
  if [ "$1" -gt "1" ] ; then
    # The modular X11R7.0 xkbdata package has symbols/pc as a directory, however
    # xkeyboard-config has it as a file.  rpm can't deal with this during package
    # upgrades from xorg-x11-xkbdata to xkeyboard-config, so we have to remove
    # the directory here first as a super-ugly hack.  It seems this is the only
    # way to make upgrades work properly.  Later, once FC5 has shipped, we can
    # remove this ugly hack, and just claim to not support upgrades from FC5testN
    # releases that included the X11R7.0 xkbdata.
    XKBDATA_PC=%{_datadir}/X11/xkb/symbols/pc
    if [ -d "$XKBDATA_PC" ] ; then
      rm -rf "$XKBDATA_PC" || : &>/dev/null
    fi
  fi
}

%files -f files.list
%defattr(-,root,root,-)
%{_datadir}/X11/xkb/rules/xorg
%{_datadir}/X11/xkb/rules/xorg.lst
%{_datadir}/X11/xkb/rules/xorg.xml

%changelog
* Sun Jul 02 2006 Christian Metzen <metzench@ccux-linux.de> 1.0.1-1
- Initial release
